import { JavaObject } from '../../../../java/lang/JavaObject';
import { List } from '../../../../java/util/List';
import { BKAnlageAFach } from '../../../../core/abschluss/bk/a/BKAnlageAFach';
export declare class BKAnlageAFaecher extends JavaObject {
    faecher: List<BKAnlageAFach> | null;
    hatBestandenBerufsAbschlussPruefung: Boolean | null;
    englischGeR: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
}
export declare function cast_de_nrw_schule_svws_core_abschluss_bk_a_BKAnlageAFaecher(obj: unknown): BKAnlageAFaecher;
